<style>
  .overflow {
    overflow: hidden;
  }

  .applicant-popover {
    position: fixed;
    border-radius: 5px;
    z-index: 10;
    max-width: 89.5%;
    border: 2px solid #000;
    border-radius: 5px;
    background: #f2f2f2;
    transition: 0.5s all ease-in-out;
    top: 30%;
  }


  #note-button {
    padding: 0.5em 1em 0.5em 1em;
    background: white;
    color: rgb(0, 0, 90);
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
  }

  #change-approval-button {
    padding: 0.5em 1em 0.5em 1em;
    background: white;
    color: rgb(0, 0, 90);
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
    white-space: nowrap;
  }

  #contact-user-button {
    padding: 0.5em 1em 0.5em 1em;
    background: white;
    color: rgb(0, 0, 90);
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
    white-space: nowrap;
  }

  #company {
    display: grid;
    grid-template-columns: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
  }

  .company-grid-header {
    color: #666666;
    border-bottom: 1px solid #BBBBBB;
    padding-bottom: 1em;
  }

  #approval-button {
    margin-left: 1em;
    padding: 0.5em 1em 0.5em 1em;
    background: rgb(0, 0, 90);
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
  }

  #apr-button {
    padding: 0.5em 1em 0.5em 1em;
    background: rgb(0, 0, 90);
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
  }

  #confirm-done-ais-button {
    padding: 0.5em 1em 0.5em 1em;
    background: rgb(0, 0, 90);
    color: white;
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
  }

  #set-status-inactive-button {
    padding: 0.5em 1em 0.5em 1em;
    font-weight: bold;
    border-radius: 5px;
    color: white;
    font-size: 0.9em;
    border: 1px solid rgb(0, 0, 90);
    background: #BD2130;
  }

  #set-status-resting-button {
    padding: 0.5em 1em 0.5em 1em;
    font-weight: bold;
    border-radius: 5px;
    color: rgb(0, 0, 90);
    font-size: 0.9em;
    background: #E3B700;
  }

  #cancel-button {
    margin-left: 2em;
    padding: 0.5em 1em 0.5em 1em;
    background: white;
    color: rgb(0, 0, 90);
    border-radius: 5px;
    font-weight: bold;
    font-size: 0.9em;
    font-family: 'Open Sans';
  }

  .info {
    display: grid;
    grid-template-columns: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
  }

  .second-row {
    background: #fff;
  }

  .padding-1 {
    padding-left: 1em;
  }

  .closing-x {
    z-index: 3;
    position: absolute;
    left: 98%;
    top: 0px;
    cursor: pointer;
  }

  .pointer {
    cursor: pointer;
  }

  .applicant-popover>div {
    background: #f2f2f2;
  }

  #button-row {
    background: #fff;
    padding-top: 1em;
    padding-bottom: 1em;
    display: grid;
    grid-template-columns: 14.2% 31% 11.2% 17.2% 8.2% 7% 10%;
  }

  .activity-log-wrapper {
    display: grid;
    grid-template-columns: 15% 15% 55% 15%;
  }

  #activity-log-header {
    display: grid;
    grid-template-columns: 15% 15% 55% 15%;
  }

  #activity-log {
    background: #fff;
  }

  hr {
    border-top: 1px solid #bbb;
  }

  #show-more-activities {
    text-align: center;
    cursor: pointer;
    color: #0056D7;
    font-weight: 700;
  }

  #country-select {
    border: none;
    background-color: #f3f3f3;
    font-weight: 700;
    font-family: 'Open Sans';
    font-size: 1rem;
  }

  #residence-permit-type-select {
    border: none;
    background-color: #f3f3f3;
    font-weight: 700;
    font-family: 'Open Sans';
    font-size: 1rem;
  }
</style>

<ng-template #greenCheck><span style="color: #30C381"><fa-icon [icon]="faCheckCircle"></fa-icon></span></ng-template>
<ng-template #yellowCheck><span style="color: #E3B700"><fa-icon [icon]="faPauseCircle"></fa-icon></span></ng-template>
<ng-template #redCheck><span style="color: #BD2130"><fa-icon [icon]="faExclamationCircle"></fa-icon></span></ng-template>

<div class="applicant-popover"
  [ngStyle]="{'width': '89.5%', 'transform': currentTransform, 'transform-origin': transformOrigin}">
  <div *ngIf="popoverState < 1; else secondButtonBlock">
    <div id="button-row">
      <div class="second-row">
        <button id="cancel-button" (click)="closeHandler()">Stäng</button>
      </div>
      <div class="second-row">
      </div>
      <div class="second-row">
        <button id="note-button" (click)="showNotePopover($event)">Anteckning...</button>
      </div>
      <div class="second-row">
        <button id="contact-user-button" (click)="showContactPopover($event)">Kontakta användaren...</button>
      </div>
      <div class="second-row">
        <button id="set-status-inactive-button" (click)="showSetInactivePopover($event)">Inaktuell...</button>
      </div>
      <div class="second-row">
        <button id="set-status-resting-button" (click)="showSetRestingPopover($event)">Vilande...</button>
      </div>
      <div class="second-row" *ngIf="!calledFromApr">
        <button id="approval-button" (click)="showApprovalPopover()">Behörig...</button>
      </div>
    </div>
  </div>

  <ng-template #secondButtonBlock>
    <div id="button-row">
      <div class="second-row">
        <button id="cancel-button" (click)="closeHandler()">Stäng</button>
      </div>
      <div class="second-row">
      </div>
      <div class="second-row">
        <button id="note-button" (click)="showNotePopover($event)">Anteckning...</button>
      </div>
      <div class="second-row">
        <button id="change-approval-button" (click)="showChangeDecisionPopover($event)">Ändra behörighetsbeslut</button>
      </div>
      <!--<div class="second-row">
                <button id="contact-user-button"
                (click)="showAppealPopover($event)">Appeal</button>
                </div> -->
      <div class="second-row" *ngIf="calledFromApr && application.apr_status != 'Godkänd';">
        <button id="apr-button" (click)="showAprPopover()">Godkänn APR</button>
      </div>
      <div class="second-row" *ngIf="calledFromApr && application.apr_status === 'Godkänd' && !application.done_in_ais;">
        <button id="confirm-done-ais-button" (click)="showConfirmDoneAisPopover()">Bekräfta att klar i AIS</button>
      </div>
    </div>
  </ng-template>

  <div class="info">
    <div class="padding-1 overflow">
      <p>Namn</p>
      <p><b>{{ application.applicant.name }}</b></p>
    </div>
    <div class="overflow">
      <p>Ändringsdatum</p>
      <p><b>{{ application.applicant.write_date }}</b></p>
    </div>

    <div class="overflow">
      <p>Inskriven</p>
      <p><b>{{ application.start_date }}</b></p>
    </div>

    <div class="overflow">
      <p>Beslutsklass</p>
      <div *ngIf="editingDecisionType; else justShowDecision">
        <input type="text" [(ngModel)]="application.decision_type" size="3">
        <button (click)="cancelEditingDecision($event)">Avbryt</button>
        <button (click)="saveDecisionType($event)">Spara</button>
      </div>
      <ng-template #justShowDecision>
        <div class="pointer" (click)="startEditingDecision($event)">
          <b>
            <span *ngIf="isDecisionTypeValid(application.decision_type); then greenCheck else yellowCheck"></span>
            {{ application.decision_type || '--' }}
          </b>
        </div>
      </ng-template>
    </div>
    <div class="overflow">
      <p>Uppehållstillstånd</p>
      <p>
        <span *ngIf="['put','b-put','uat','uat-g','t-uat'].includes(selectedResidencePermitType); then greenCheck else yellowCheck"></span>
        <select class="pointer" id="residence-permit-type-select" [(ngModel)]="selectedResidencePermitType"
          (ngModelChange)="residencePermitTypeChange($event)">
          <option *ngFor="let permitType of availableResidencePermitTypes" [value]="permitType.value">{{
            permitType.display }}</option>
        </select>
      </p>
    </div>

    <div class="overflow">
      <p>Ursprungsland</p>
      <p>
        <span *ngIf="selectedCountry === 'non-eu'; then greenCheck"></span>
        <span *ngIf="selectedCountry === '--'; then yellowCheck"></span>
        <span *ngIf="selectedCountry !== '--' && selectedCountry !== 'non-eu'; then redCheck"></span>
        
        <select class="pointer" id="country-select" [(ngModel)]="selectedCountry" (ngModelChange)="countryChange($event)">
          <option *ngFor="let option of availableCountries" [value]="option.value">
            {{ option.display }}
          </option>
        </select>
      </p>
    </div>

    <div class="overflow">
      <p>Behörighet</p>
      <p><b>
          <span *ngIf="application.approval == 'Behörig'; then greenCheck"></span>
          <span *ngIf="application.approval == 'Inaktuell'; then redCheck"></span>
          <span *ngIf="application.approval == 'Utreds'; then yellowCheck"></span>

          {{ application.approval }}
        </b>
      </p>
    </div>
    <div class="overflow">
      <p>Personnummer</p>
      <p><b>{{ application.applicant.personal_number }}</b></p>
    </div>
    <div class="padding-1">
      <p>Telnr</p>
      <p><b>{{ application.applicant.phone_mobile }}</b></p>
    </div>
    <div>
      <p>Epost</p>
      <p><b>{{ application.applicant.email }}</b></p>
    </div>
    <div class="overflow">
      <p>Lokalkontor</p>
      <p><b>{{ application.af_office || '--' }}</b></p>
    </div>
    <div class="overflow">
      <p>Handläggare</p>
      <p><b>{{ application.case_worker || '--' }}</b></p>
    </div>
    <div class="overflow">
      <p>AIS ärendenummer</p>
      <div *ngIf="editingAisCaseNumber; else justShowCaseNumber">
        <input type="text" [(ngModel)]="application.ais_case_number" size="3">
        <button (click)="cancelEditingAisCaseNumber($event)">Avbryt</button>
        <button (click)="saveAisCaseNumber($event)">Spara</button>
      </div>
      <ng-template #justShowCaseNumber>
        <div class="pointer" (click)="startEditingAisCaseNumber($event)">
          <b>
            <span *ngIf="isAisCaseNumberValid(application.ais_case_number); then greenCheck else yellowCheck"></span>
            {{ application.ais_case_number || '--' }}
          </b>
        </div>
      </ng-template>
    </div>
    <div class="overflow">
      <p>Utan företag</p>
      <p><b><span *ngIf="application.applicant.no_own_business == 'eligible'; then greenCheck else yellowCheck"></span>
          {{ application.applicant.no_own_business }}</b></p>
    </div>
    <div class="overflow">
      <p>Utbildningsnivå</p>
      <p><b><span
            *ngIf="application.applicant.education_level == '5' || application.applicant.education_level == '6'; then greenCheck else yellowCheck"></span>
          {{ application.applicant.education_level }}</b></p>
    </div>
    <!-- <div  class="padding-1">
      <p>Godkänd för praktik (från AIS)</p>
      <p><b><span style="color: #30C381"><fa-icon [icon]="faCheckCircle"></fa-icon></span> {{ application.applicant.ais_approved || 'Ja' }}</b></p>
      </div> -->
    <div class="overflow">
      <p>Sökandekategori</p>
      <p><b>
          <span *ngIf="isSeekerCategoryCodeValid(application.applicant.seeker_category_code); then greenCheck else yellowCheck"></span>
          {{application.applicant.seeker_category_code || "--" }}</b></p>
    </div>
    <div>
    </div>
    <div>
    </div>
    <div>
    </div>
    <div>
    </div>
    <div>
    </div>
    <div>
    </div>
    <div>
    </div>
  </div>
  <div *ngIf="popoverState > 0">
    <div id="company">
      <div class="padding-1">
        <p class="company-grid-header">Företag</p>
        <p>{{ application.employer.name }}</p>
      </div>
      <div>
        <p class="company-grid-header">Ändringsdatum</p>
        <p>{{ application.employer.write_date }}</p>
      </div>
      <div>
        <p class="company-grid-header">Betalningsanm.</p>
        <p>{{ application.employer.no_payment_problem }}</p>
      </div>
      <div>
        <p class="company-grid-header">Skatteskuld</p>
        <p>{{ application.employer.no_tax_debt }}</p>
      </div>
      <div>
        <p class="company-grid-header">Konkurs</p>
        <p>{{ application.employer.no_bankruptcy }}</p>
      </div>
      <div>
        <p class="company-grid-header">Fackförbund</p>
        <p>{{ application.employer.union_approved }}</p>
      </div>
      <div>
        <p class="company-grid-header">Autoförslag</p>
        <p>{{ application.employer.auto_suggestion_approval }}</p>
      </div>
      <div>
        <p class="company-grid-header">Godkännande</p>
        <p>{{ application.employer.approval }}</p>
      </div>
    </div>
  </div>
  <div id="activity-log">
    <div id="activity-log-header">
      <div>
        <p><b>Datum</b></p>
        <hr>
      </div>
      <div>
        <p><b>Handläggare</b></p>
        <hr>
      </div>
      <div>
        <p><b>Händelse- och anteckningslogg</b></p>
        <hr>
      </div>
      <div>
        <p><b>Bilaga <fa-icon [icon]="faPaperclip"></fa-icon></b></p>
        <hr>
      </div>
    </div>

    <div *ngFor="let activity of activityLog" class="activity-log-wrapper">
      <div>{{ activity.create_date }}</div>
      <div>{{ activity.creator_name }}</div>
      <div>{{ activity.comment_text }}</div>

      <div>
        <p *ngFor="let attachment of activity.attachment">
          <a href="{{ attachment.download_url || '#' }}">{{ attachment.name }}</a>
        </p>
      </div>
    </div>

    <div *ngIf="!showAllActivities">
      <hr>
      <div id="show-more-activities" (click)="showAllActivitiesToggle($event)">
        Visa fler <fa-icon [icon]="faAngleDown"></fa-icon>
      </div>
    </div>
  </div>

  <contact-user-popover *ngIf="showContactPopoverVal" [applicant]="application.applicant"
    (close)="showContactPopover($event)" [modalPipe]="modalPipe"></contact-user-popover>

  <note-popover *ngIf="showNotePopoverVal" [application]="application" [modalPipe]="modalPipe"
    (close)="showNotePopover($event)"></note-popover>

  <set-resting-popover *ngIf="showSetRestingPopoverVal" [(application)]="application" [modalPipe]="modalPipe"
    (close)="showSetRestingPopover($event)"></set-resting-popover>

  <set-inactive-popover *ngIf="showSetInactivePopoverVal" [(application)]="application" [modalPipe]="modalPipe"
    (close)="showSetInactivePopover($event)"></set-inactive-popover>

  <change-decision-popover *ngIf="showChangeDecisionPopoverVal" [(application)]="application" [modalPipe]="modalPipe"
    (close)="showChangeDecisionPopover($event)"></change-decision-popover>

  <approve-user-popover *ngIf="showApprovalPopoverVal" [(application)]="application" [modalPipe]="modalPipe"
    (close)="showApprovalPopover()"></approve-user-popover>
  
  <approve-apr-popover *ngIf="showAprPopoverVal" [(application)]="application" [modalPipe]="modalPipe"
    (close)="showAprPopover()"></approve-apr-popover>

  <confirm-done-ais-popover *ngIf="showConfirmDoneAisPopoverVal" [(application)]="application" [modalPipe]="modalPipe"
    (close)="showConfirmDoneAisPopover()"></confirm-done-ais-popover>
